Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines

# version.h File Reference

`#include "ruby/version.h"`
`#include "revision.h"`
Include dependency graph for version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | RUBY_VERSION "1.9.2"
#define | RUBY_PATCHLEVEL 136
#define | RUBY_VERSION_MAJOR 1
#define | RUBY_VERSION_MINOR 9
#define | RUBY_VERSION_TEENY 1
#define | RUBY_RELEASE_YEAR 2010
#define | RUBY_RELEASE_MONTH 12
#define | RUBY_RELEASE_DAY 25
#define | RUBY_RELEASE_DATE "2010-12-25"
#define | RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)
#define | RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)
#define | RUBY_DESCRIPTION
#define | RUBY_COPYRIGHT

## Define Documentation

#define RUBY_COPYRIGHT

Value:

    "ruby - Copyright (C) "     \
        STRINGIZE(RUBY_BIRTH_YEAR)"-"   \
        STRINGIZE(RUBY_RELEASE_YEAR)" " \
        RUBY_AUTHOR

Definition at line 51 of file version.h.

#define RUBY_DESCRIPTION

Value:

    "ruby "RUBY_VERSION                 \
        RUBY_PATCHLEVEL_STR             \
        " ("RUBY_RELEASE_DATE           \
        RUBY_REVISION_STR") "           \
        "["RUBY_PLATFORM"]"

Definition at line 45 of file version.h.

#define RUBY_PATCHLEVEL 136

Definition at line 2 of file version.h.

Referenced by Init_version().

#define RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)

Definition at line 25 of file version.h.

#define RUBY_RELEASE_DATE "2010-12-25"

Definition at line 10 of file version.h.

#define RUBY_RELEASE_DAY 25

Definition at line 9 of file version.h.

#define RUBY_RELEASE_MONTH 12

Definition at line 8 of file version.h.

#define RUBY_RELEASE_YEAR 2010

Definition at line 7 of file version.h.

#define RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)

Definition at line 39 of file version.h.

#define RUBY_VERSION "1.9.2"

Definition at line 1 of file version.h.

#define RUBY_VERSION_MAJOR 1

Definition at line 3 of file version.h.

#define RUBY_VERSION_MINOR 9

Definition at line 4 of file version.h.

#define RUBY_VERSION_TEENY 1

Definition at line 5 of file version.h.